from .first_order_lag import FirstOrderLagConfigModule
from .two_wheeled import TwoWheeledConfigModule
from .cartpole import CartPoleConfigModule
from .nonlinear_sample_system import NonlinearSampleSystemConfigModule


def make_config(args):
    """
    Returns:
        config (ConfigModule class): configuration for the each env
    """
    if args.env == "FirstOrderLag":
        return FirstOrderLagConfigModule()
    elif args.env == "TwoWheeledConst" or args.env == "TwoWheeledTrack":
        return TwoWheeledConfigModule()
    elif args.env == "CartPole":
        return CartPoleConfigModule()
    elif args.env == "NonlinearSample":
        return NonlinearSampleSystemConfigModule()
